> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bastion.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Mint Destination Address

> Create a mint destination address for a given identity



## OpenAPI

````yaml /v2/openapi.yaml post /v2/issuance/mint-addresses
openapi: 3.1.0
info:
  title: Bastion APIs
  version: '2.0'
servers:
  - url: https://api.prod.bastion.com
    description: Production environment
  - url: https://api.sandbox.bastion.io
    description: Sandbox environment
security:
  - auth: []
tags:
  - name: Bastion APIs
paths:
  /v2/issuance/mint-addresses:
    post:
      tags:
        - Issuance
      summary: Create Mint Destination Address
      description: Create a mint destination address for a given identity
      operationId: bastion.api.v2.API.CreateMintDestinationAddress
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/bastion.api.v2.issuance.CreateMintDestinationAddressRequest
        required: true
      responses:
        '201':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/bastion.api.v2.issuance.MintDestinationAddress
        '400':
          description: Bad request
        '409':
          description: Resource Conflicts
        '500':
          description: Internal Server Error
components:
  schemas:
    bastion.api.v2.issuance.CreateMintDestinationAddressRequest:
      type: object
      properties:
        request_id:
          type: string
          title: request_id
          pattern: >-
            [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
          format: uuid
          description: Request identifier in a UUID format. Serves as an idempotency key.
        address:
          type: string
          title: address
          description: Mint destination address
        chain:
          $ref: >-
            #/components/schemas/bastion.api.v2.issuance.ISSUANCE_SUPPORTED_CHAIN
          title: chain
          description: Blockchain network for the mint destination address
        label:
          type: string
          title: label
          description: Label for the mint destination address
        identity_id:
          type: string
          title: identity_id
          description: Unique identifier of the identity that this mint address belongs to
      title: CreateMintDestinationAddressRequest
      required:
        - request_id
        - address
        - chain
        - label
        - identity_id
      additionalProperties: false
    bastion.api.v2.issuance.MintDestinationAddress:
      type: object
      properties:
        id:
          type: string
          title: id
          description: Unique identifier for the mint destination address
          readOnly: true
        address:
          type: string
          title: address
          description: Mint destination address
          readOnly: true
        chain:
          $ref: >-
            #/components/schemas/bastion.api.v2.issuance.ISSUANCE_SUPPORTED_CHAIN
          title: chain
          description: Blockchain network for the mint destination address
          readOnly: true
        label:
          type: string
          title: label
          description: Label for the mint destination address
          readOnly: true
        identity_id:
          type: string
          title: identity_id
          description: Unique identifier of the identity that this mint address belongs to
          readOnly: true
      title: MintDestinationAddress
      additionalProperties: false
    bastion.api.v2.issuance.ISSUANCE_SUPPORTED_CHAIN:
      type: string
      title: ISSUANCE_SUPPORTED_CHAIN
      enum:
        - ISSUANCE_SUPPORTED_CHAIN_UNSPECIFIED
        - SOLANA_DEVNET
        - SOLANA_MAINNET
      example: SOLANA_DEVNET
  securitySchemes:
    auth:
      type: http
      description: Bearer authentication with an API token
      scheme: bearer

````

## Related topics

- [Stablecoin issuance concepts](/guides/concepts/stablecoin-issuance.md)
- [Mint Bastion-issued stablecoins from the Dashboard](/guides/dashboard/mint-bastion-stablecoin.md)
- [Mint Bastion-issued stablecoins with the Issuance API](/guides/quickstarts/mint-bastion-issued-stablecoins.md)
- [List Mint Destination Addresses](/v2/api-reference/issuance/list-mint-destination-addresses.md)
- [Get Mint Destination Address](/v2/api-reference/issuance/get-mint-destination-address.md)
